Distribution.Simple.Command

# Command interface

data CommandUI flags

commandShowOptions

data CommandParse flags

commandParseArgs

## Constructing commands

data ShowOrParseArgs

makeCommand

## Associating actions with commands

data Command action

commandAddAction

noExtraFlags

## Running commands

commandsRun

# Option Fields

data OptionField a

type Name

## Constructing Option Fields

option

multiOption

## Liftings & Projections

liftOption

viewAsFieldDescr

# Option Descriptions

data OptDescr a

type Description

type SFlags

type LFlags

type OptFlags

type ArgPlaceHolder

## OptDescr `smart` constructors

type MkOptDescr get set a

reqArg

reqArg'

optArg

optArg'

noArg

boolOpt

boolOpt'

choiceOpt

choiceOptFromEnum